### Class

# Ide TemplateBase

#### Description

    abstract class Ide.TemplateBase : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### ide_template_base_add_path

No description available.

###### ide_template_base_add_resource

No description available.

###### ide_template_base_expand_all_async

No description available.

###### ide_template_base_expand_all_finish

No description available.

###### ide_template_base_get_locator

Fetches the `TmplTemplateLocator` used for resolving templates.

Available since: 3.32

###### ide_template_base_reset

No description available.

###### ide_template_base_set_locator

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.TemplateBase:locator

The `IdeTemplateBase:locator` property contains the `TmplTemplateLocator` that should be used to resolve template includes. If `NULL`, templates will not be allowed to include other templates. directive.

Available since: 3.32

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeTemplateBaseClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.